Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ComponentRequestHandlerTerminator

    java.lang.Object
      org.apache.tapestry5.internal.services.ComponentRequestHandlerTerminator

All Implemented Interfaces:
  ComponentRequestHandler

    public class ComponentRequestHandlerTerminator

extends java.lang.Object
implements ComponentRequestHandler

Terminator for the `ComponentRequestHandler` pipeline, that feeds out into the `ComponentEventRequestHandler` and `PageRenderRequestHandler` pipelines.

Since:
  5.1.0.0

Constructor Summary
`ComponentRequestHandlerTerminator(ComponentEventRequestHandler componentEventRequestHandler, PageRenderRequestHandler pageRenderRequestHandler)`

Method Summary
`void` | `handleComponentEvent(ComponentEventRequestParameters parameters)` Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
`void` | `handlePageRender(PageRenderRequestParameters parameters)` Invoked to activate and render a page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentRequestHandlerTerminator

    public ComponentRequestHandlerTerminator(@Traditional
                                             ComponentEventRequestHandler componentEventRequestHandler,
                                             PageRenderRequestHandler pageRenderRequestHandler)

Method Detail

### handleComponentEvent

    public void handleComponentEvent(ComponentEventRequestParameters parameters)
                              throws java.io.IOException

  Description copied from interface: `ComponentRequestHandler`
  Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).

  Specified by:
    `handleComponentEvent` in interface `ComponentRequestHandler`
  Parameters:
    `parameters` - defining the request
  Throws:
    `java.io.IOException`

### handlePageRender

    public void handlePageRender(PageRenderRequestParameters parameters)
                          throws java.io.IOException

  Description copied from interface: `ComponentRequestHandler`
  Invoked to activate and render a page. In certain cases, based on values returned when activating the page, a `ComponentEventResultProcessor` may be used to send an alternate response (typically, a redirect).

  Specified by:
    `handlePageRender` in interface `ComponentRequestHandler`
  Parameters:
    `parameters` - defines the page name and activation context
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.